## freebsd-buildutils 10.0

=== src/share/mk/Makefile ===
# $FreeBSD$
#	@(#)Makefile	8.1 (Berkeley) 6/8/93

.include <bsd.own.mk>

FILES=	\
	bsd.README \
	bsd.arch.inc.mk \
	bsd.compiler.mk \
	bsd.cpu.mk \
	bsd.crunchgen.mk \
	bsd.dep.mk \
	bsd.doc.mk \
	bsd.dtrace.mk \
	bsd.endian.mk \
	bsd.files.mk \
	bsd.incs.mk \
	bsd.info.mk \
	bsd.init.mk \
	bsd.kmod.mk \
	bsd.lib.mk \
	bsd.libnames.mk \
	bsd.links.mk \
	bsd.man.mk \
	bsd.nls.mk \
	bsd.obj.mk \
	bsd.own.mk \
	bsd.port.mk \
	bsd.port.options.mk \
	bsd.port.post.mk \
	bsd.port.pre.mk \
	bsd.port.subdir.mk \
	bsd.prog.mk \
	bsd.progs.mk \
	bsd.snmpmod.mk \
	bsd.subdir.mk \
	bsd.symver.mk \
	bsd.sys.mk \
	bsd.test.mk \
	sys.mk \
	version_gen.awk

NO_OBJ=
FILESDIR=	${BINDIR}/mk

.if ${MK_ATF} != "no"
FILES+=	atf.test.mk
.endif

.include <bsd.prog.mk>

=== src/usr.bin/file2c/Makefile ===
# $FreeBSD$

PROG=	file2c
.include <bsd.prog.mk>

=== src/usr.bin/mkdep/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD$

SCRIPTS=	mkdep.gcc.sh
MAN=		mkdep.1
SCRIPTSNAME=	mkdep

.include <bsd.prog.mk>

=== src/usr.sbin/kgzip/Makefile ===
# $FreeBSD$

PROG=	kgzip
MAN=	kgzip.8
SRCS=	kgzip.c aouthdr.c elfhdr.c kgzcmp.c kgzld.c xio.c

WARNS?=	3

.include <bsd.prog.mk>

=== src/usr.bin/lex/lib/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

.PATH:	${.CURDIR}/../../../contrib/flex

LIB=    ln
SRCS=   libmain.c libyywrap.c
NO_PIC=

.if ${MK_INSTALLLIB} != "no"
LINKS=  ${LIBDIR}/libln.a ${LIBDIR}/libl.a
LINKS+=	${LIBDIR}/libln.a ${LIBDIR}/libfl.a
.endif

.if ${MK_PROFILE} != "no"
LINKS+= ${LIBDIR}/libln_p.a ${LIBDIR}/libl_p.a
LINKS+=	${LIBDIR}/libln_p.a ${LIBDIR}/libfl_p.a
.endif

.include <bsd.lib.mk>

=== src/sys/dev/aic7xxx/aicasm/Makefile ===
#
# $Id: //depot/aic7xxx/freebsd/dev/aic7xxx/aicasm/Makefile#2 $
#
# $FreeBSD$

PROG=	aicasm

CSRCS=	aicasm.c aicasm_symbol.c
YSRCS=	aicasm_gram.y aicasm_macro_gram.y
LSRCS=	aicasm_scan.l aicasm_macro_scan.l

GENHDRS=	aicasm_gram.h aicasm_macro_gram.h

SRCS=	${GENHDRS} ${CSRCS} ${YSRCS} ${LSRCS}
CLEANFILES+= ${GENHDRS} ${YSRCS:R:C/(.*)/\1.output/g}
DPADD=	${LIBL}
LDADD=	-ll
WARNS?=	5

# Correct path for kernel builds
# Don't rely on the kernel's .depend file
.ifdef MAKESRCPATH
.PATH: ${MAKESRCPATH}
DEPENDFILE=	.depend_aicasm
.endif

CFLAGS+= -I.
.ifdef MAKESRCPATH
CFLAGS+= -I${MAKESRCPATH}
.endif
NO_MAN=
YFLAGS= -b ${.TARGET:R} ${.TARGET:M*macro*:S/$(.TARGET)/-p mm/} -d
LFLAGS+= ${.TARGET:M*macro*:S/$(.TARGET)/-Pmm/}

.ifdef AICASM_DEBUG
CFLAGS+= -DDEBUG -g
YFLAGS+= -t -v
LFLAGS+= -d
.endif

.include <bsd.prog.mk>

=== debian/changelog ===
freebsd-buildutils (10.0-8ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Prototype setmode since freebsd-glue and libbsd don't do the right thing.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 23 Mar 2016 11:03:16 -0500

freebsd-buildutils (10.0-8) unstable; urgency=medium

  * Team upload.
  * Backport "Multi-Arch: foreign" from experimental

 -- Christoph Egger <christoph@debian.org>  Tue, 22 Mar 2016 21:12:31 +0100

freebsd-buildutils (10.0-7ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Prototype setmode since freebsd-glue and libbsd don't do the right thing.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 11 Jul 2015 00:19:41 -0700

freebsd-buildutils (10.0-7) unstable; urgency=medium

  * Cherry-pick r276494 from HEAD:
    Don't include bsd.sys.mk within bsd.kmod.mk
  * binary-indep target requires binary-arch to run first.

 -- Steven Chamberlain <steven@pyro.eu.org>  Wed, 08 Jul 2015 16:44:07 +0100

freebsd-buildutils (10.0-6) experimental; urgency=medium

  * Raise Build-Depends on freebsd-glue to >= 0.2.20~, to not be
    affected by #759249 if the installed libbsd-dev is newer
  * Do not use -fstack-protector on alpha

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 21 Oct 2014 22:50:38 +0100

freebsd-buildutils (10.0-5ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Prototype setmode since freebsd-glue and libbsd don't do the right thing.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 12 Nov 2014 01:30:10 -0500

freebsd-buildutils (10.0-5) unstable; urgency=medium

  [ Petr Salinger ]
  * Backport mk_hyperv, needed by 10.1 RC

  [ Steven Chamberlain ]
  * backports MK_TESTS for freebsd-utils (>> 10.1~)
  * Do not use -fstack-protector on hppa/parisc arch (thanks, Helge
    Deller) (Closes: #758377)
  * In get-orig-source, svn export with --ignore-keywords so that
    revision tags do not fuzzy the patches
  * Add myself to Uploaders

 -- Petr Salinger <Petr.Salinger@seznam.cz>  Sat, 04 Oct 2014 18:16:23 +0200

freebsd-buildutils (10.0-4ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Prototype setmode since freebsd-glue and libbsd don't do the right thing.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 08 May 2014 02:00:48 -0400

freebsd-buildutils (10.0-4) unstable; urgency=low

  * Add MK_EISA.

 -- Robert Millan <rmh@debian.org>  Sun, 04 May 2014 14:15:29 +0200

freebsd-buildutils (10.0-3ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Prototype setmode since freebsd-glue and libbsd don't do the right thing.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 14 Apr 2014 17:11:31 -0400

freebsd-buildutils (10.0-3) unstable; urgency=low

  * kldxref_abort_on_error.diff: Treat EFAULT condition as fatal (see
    comment in patch header).

 -- Robert Millan <rmh@debian.org>  Fri, 21 Feb 2014 20:31:13 +0100

freebsd-buildutils (10.0-2ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Prototype setmode since freebsd-glue and libbsd don't do the right
      thing.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 08 Feb 2014 15:05:00 +0000

freebsd-buildutils (10.0-2) unstable; urgency=low

  * Adjust LIBDATADIR, LIBEXECDIR and LINTLIBDIR for FHS conformance.

 -- Robert Millan <rmh@debian.org>  Wed, 15 Jan 2014 17:26:00 +0100

freebsd-buildutils (10.0-1) unstable; urgency=low

  * New upstream release.

 -- Robert Millan <rmh@debian.org>  Wed, 15 Jan 2014 13:37:23 +0100

freebsd-buildutils (10.0~svn259404-6) unstable; urgency=low

  * Upload to unstable.

 -- Robert Millan <rmh@debian.org>  Fri, 03 Jan 2014 17:12:31 +0100

freebsd-buildutils (10.0~svn259404-5) experimental; urgency=low

  * Break circular build-dependency with freebsd-glue by splitting
    freebsd-mk into a package of its own.

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 23:17:49 +0100

freebsd-buildutils (10.0~svn259404-4) unstable; urgency=low

  * Correctly setup BSD version of MAKEFLAGS to support parallel builds.
  * Install make and mtree by their upstream names (fmake and fmtree).
    Remove the legacy symlinks (leave them to freebsd-glue).
  * Install file2c and brandelf directly to /usr/bin.
  * Move /usr/share/mk to /usr/share/mk-freebsd. This allows
    freebsd-buildutils to be installed alongside bmake.
  * Remove bootstrap magic. bmake is the default in upstream now: just
    use it to build fmake.

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 17:43:51 +0100

freebsd-buildutils (10.0~svn259404-3) unstable; urgency=low

  * Fix aicasm install path.

 -- Robert Millan <rmh@debian.org>  Wed, 18 Dec 2013 12:15:59 +0100

freebsd-buildutils (10.0~svn259404-2) unstable; urgency=low

  * kldxref is kFreeBSD-only.

 -- Robert Millan <rmh@debian.org>  Tue, 17 Dec 2013 23:34:15 +0100

freebsd-buildutils (10.0~svn259404-1) unstable; urgency=low

  * New upstream snapshot (10.0-RC2).
    - Switch to releng/10.0 branch.
    - Add kldxref.

  [ Robert Millan ]
  * Fetch source code securely (https) in get-orig-source.

 -- Robert Millan <rmh@debian.org>  Tue, 17 Dec 2013 22:28:15 +0100

freebsd-buildutils (10~svn258496-1) unstable; urgency=low

  * New upstream snapshot.
    - Refresh all patches.
    - Add aicasm. It is now required by kernel builds.

  [ Guillem Jover ]
  * Remove myself from Uploaders.

 -- Robert Millan <rmh@debian.org>  Sat, 23 Nov 2013 15:48:42 +0100

freebsd-buildutils (10~svn253832-1) unstable; urgency=low

  * New upstream snapshot (provides MK_USB_GADGET_EXAMPLES).

 -- Robert Millan <rmh@debian.org>  Fri, 02 Aug 2013 21:04:11 +0200

freebsd-buildutils (10~svn251967-6) unstable; urgency=low

  * Bump freebsd-glue B-D to fix FTBFS.

 -- Robert Millan <rmh@debian.org>  Mon, 22 Jul 2013 21:57:31 +0200

freebsd-buildutils (10~svn251967-5) unstable; urgency=low

  * Reupload.

 -- Robert Millan <rmh@debian.org>  Mon, 22 Jul 2013 20:10:42 +0200



=== debian/control ===
Source: freebsd-buildutils
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders:
 Aurelien Jarno <aurel32@debian.org>,
 Robert Millan <rmh@debian.org>,
 Steven Chamberlain <steven@pyro.eu.org>
Build-Depends: debhelper (>= 7), flex | flex-old, bison,
 libbsd-dev (>= 0.3.0),
 freebsd-glue (>= 0.2.20),
 bmake,
 byacc (>= 20120115~),
# for freebsd-config
 libsbuf-dev,
Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/freebsd-buildutils/
Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/freebsd-buildutils/
Standards-Version: 3.9.2

Package: freebsd-buildutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bsdmainutils, unzip, patchutils,
 freebsd-glue (>= 0.2.8~),
# Required by lex
 m4,
# Not strictly required anymore. But let's drag it in for now, to avoid breaking
# expectations.
 freebsd-mk,
Conflicts: freebsd5-buildutils, freebsd6-buildutils
Provides: freebsd6-buildutils, freebsd7-buildutils
Description: Utilities for building FreeBSD sources
 This package contains the FreeBSD counterparts of some standard build
 utilities (make, mkdep, lex ..)
 .
 They have some specific modifications needed to be able to build FreeBSD
 sources.

Package: freebsd-mk
Architecture: all
Multi-Arch: foreign
Replaces: freebsd-buildutils (<< 10.0~svn259404-5~)
Enhances: bmake
Description: FreeBSD makefile templates for bmake
 This package contains the makefile templates from the FreeBSD project. They
 provide simple rules to build programs, libraries, etc.
 .
 These templates provide an alternative to the default makefile templates
 shipped with bmake. If you want to enable them in your programs, simply
 invoke bmake as follows:
 .
 bmake -m /usr/share/mk-freebsd

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_GNU_CPU	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_HOST_ARCH_CPU	:= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH	:= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(DEB_HOST_ARCH_CPU), mipsel)
MACHINE_ARCH		:= mips
else
MACHINE_ARCH		:= $(DEB_HOST_ARCH_CPU)
endif

ifeq ($(DEB_HOST_MULTIARCH), mipsel)
MACHINE_MULTIARCH	:= mips
else
MACHINE_MULTIARCH	:= $(DEB_HOST_MULTIARCH)
endif

ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
    export STRIPFLAG=
endif

full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)-[0-9]*/\1/g' -e 's/^$(full_version)$$/HEAD/g')
version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
pversion	:= $(shell echo $(version) | sed -e 's/\./_/g')
major           := $(shell echo $(version) | sed -e 's/\..*//g')
revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')

SVN		:= https://svn0.us-west.freebsd.org/base/release/$(version).0
#SVN		:= https://svn0.us-west.freebsd.org/base/releng/$(version)
#SVN		:= https://svn0.us-west.freebsd.org/base/stable/$(major)
#SVN		:= https://svn0.us-west.freebsd.org/base/head

SOURCE = freebsd-buildutils
ORIGDIR = $(SOURCE)-$(tar_version)
TARNAME = $(SOURCE)_$(tar_version).orig.tar.gz

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

	# Do not mess with MAKEFLAGS until we transfer control to BSD make (see below)
	BSD_MAKEFLAGS += -j$(NUMJOBS)
endif

export CFLAGS = -O2 -g -Wall -D_GNU_SOURCE \
         -DMACHINE_ARCH='"$(MACHINE_ARCH)"' \
         -DMACHINE_MULTIARCH='"$(MACHINE_MULTIARCH)"' \
         -I$(CURDIR)/build-tree/src/sys \
	-D_GNU_SOURCE=1 -isystem /usr/include/freebsd
# disabled due to #630907 (see also 20_libbsd_overlay.diff)
# $(shell pkg-config --cflags libbsd-overlay)
MAKE_BUILD_FLAGS = CC=gcc NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO NO_SHARED=NO

PMAKE_FLAGS = -m $(CURDIR)/src/share/mk
PMAKE = \
	MAKEFLAGS=$(BSD_MAKEFLAGS) \
	bmake $(PMAKE_FLAGS)
YACC = byacc

package = $(SOURCE)

get-orig-source:
	rm -rf $(ORIGDIR)
	mkdir -p $(ORIGDIR)/src/sys/sys $(ORIGDIR)/src/sys/kern/
	for i in \
		share/mk \
		usr.bin/cksum \
		usr.bin/elfdump \
		usr.bin/file2c \
		usr.bin/lex \
		contrib/flex \
		usr.bin/make \
		usr.bin/mkdep \
		usr.bin/brandelf \
		usr.sbin/btxld \
		usr.sbin/config \
		usr.sbin/kgzip \
		usr.sbin/kldxref \
		usr.sbin/mtree \
		sys/dev/aic7xxx/aicasm \
	; do \
		svn export --ignore-keywords -r $(svn_revision) $(SVN)/$$i $(ORIGDIR)/src/$$i ; \
	done
	tar --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
	rm -rf $(ORIGDIR)

unpack: unpack-stamp
unpack-stamp:
	mkdir build-tree
	cp -a src build-tree/

	touch unpack-stamp

build: build-stamp
build-stamp: unpack-stamp
	dh_testdir

	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/make

	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/cksum

	cd build-tree/src/usr.bin/lex ; \
		$(PMAKE) bootstrap ; \
		$(PMAKE) $(MAKE_BUILD_FLAGS) NO_PROFILE=1 NO_INSTALLLIB=1

	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/mkdep
	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.sbin/mtree
	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/file2c
	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/brandelf
	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/sys/dev/aic7xxx/aicasm
ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
	# Not portable yet. Maybe someday...
	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.sbin/kldxref
endif

	PATH=$(CURDIR)/build-tree/src/usr.bin/file2c:$(PATH) \
		$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.sbin/config

	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(PMAKE) -C build-tree/src/usr.bin/file2c install DESTDIR=$(CURDIR)/debian/$(package) BINDIR=/usr/bin
	$(PMAKE) -C build-tree/src/usr.bin/brandelf install DESTDIR=$(CURDIR)/debian/$(package) BINDIR=/usr/bin

	for i in cksum lex mkdep ; do \
	  $(PMAKE) -C $(CURDIR)/build-tree/src/usr.bin/$$i install \
		DESTDIR=$(CURDIR)/debian/$(package) BINDIR=/usr/lib/freebsd ; \
	done
	for i in config ; do \
	  $(PMAKE) -C $(CURDIR)/build-tree/src/usr.sbin/$$i install \
		DESTDIR=$(CURDIR)/debian/$(package) BINDIR=/usr/lib/freebsd ; \
	done
	$(PMAKE) -C build-tree/src/share/mk install \
		DESTDIR=$(CURDIR)/debian/freebsd-mk BINDIR=/usr/share

	$(PMAKE) -C build-tree/src/sys/dev/aic7xxx/aicasm install \
		DESTDIR=$(CURDIR)/debian/$(package) BINDIR=/usr/bin

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
	$(PMAKE) -C build-tree/src/usr.sbin/kldxref install \
		DESTDIR=$(CURDIR)/debian/$(package) BINDIR=/usr/bin
endif

	# Legacy make (aka fmake / fmtree)
	$(PMAKE) -C $(CURDIR)/build-tree/src/usr.bin/make install \
		DESTDIR=$(CURDIR)/debian/$(package) BINDIR=/usr/bin
	$(PMAKE) -C $(CURDIR)/build-tree/src/usr.sbin/mtree install \
		DESTDIR=$(CURDIR)/debian/$(package) BINDIR=/usr/bin

	# remove trash
	rm -rf 	$(CURDIR)/debian/$(package)/usr/include \
		$(CURDIR)/debian/$(package)/var
	for i in `find $(CURDIR)/debian/$(package)/usr/share/man -type l` ; do \
		rm $$i ; \
	done
	rm -f $(CURDIR)/debian/$(package)/usr/share/man/man5/mtree.5.gz

	# relocate files
	for i in `cd $(CURDIR)/debian/$(package)/usr/lib/freebsd && ls` ; do \
		ln -s ../lib/freebsd/$$i \
			$(CURDIR)/debian/$(package)/usr/bin/freebsd-$$i ; \
		for m in $(CURDIR)/debian/$(package)/usr/share/man/man[0-9]/$$i.* ; do \
			mv $$m `echo $$m | sed -e 's:\(man[0-9]/\):\1freebsd-:'` ; \
		done ; \
	done
	rmdir $(CURDIR)/debian/$(package)/usr/sbin

	dh_install

clean:
	dh_testdir
	dh_testroot
	rm -rf build-tree
	rm -f *-stamp

	dh_clean


# Build architecture-independent files here.
binary-indep: build binary-arch install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## freebsd-buildutils 10.3~svn296373

=== src/share/mk/Makefile ===
--- 
+++ 
@@ -1,5 +1,11 @@
 # $FreeBSD$
 #	@(#)Makefile	8.1 (Berkeley) 6/8/93
+
+# Only parse this if executing make in this directory, not in other places
+# in src that lack a Makefile, such as sys/dev/*.  Otherwise the MAKESYSPATH
+# will read this Makefile since it auto includes it into -I.
+# Note that this guard only works for bmake.
+.if !defined(.PARSEDIR) || ${.CURDIR} == ${.PARSEDIR}
 
 .include <bsd.own.mk>
 
@@ -11,7 +17,7 @@
 	bsd.crunchgen.mk \
 	bsd.dep.mk \
 	bsd.doc.mk \
-	bsd.dtrace.mk \
+	bsd.dtb.mk \
 	bsd.endian.mk \
 	bsd.files.mk \
 	bsd.incs.mk \
@@ -43,8 +49,12 @@
 NO_OBJ=
 FILESDIR=	${BINDIR}/mk
 
-.if ${MK_ATF} != "no"
+.if ${MK_TESTS} != "no"
 FILES+=	atf.test.mk
+FILES+=	plain.test.mk
+FILES+=	suite.test.mk
+FILES+=	tap.test.mk
 .endif
 
 .include <bsd.prog.mk>
+.endif	# CURDIR == PARSEDIR

=== src/usr.bin/brandelf/Makefile ===
# $FreeBSD$

PROG=	brandelf

.include <bsd.prog.mk>

=== src/usr.bin/cksum/Makefile ===
#	@(#)Makefile	8.2 (Berkeley) 4/28/95
# $FreeBSD$

PROG=	cksum
SRCS=	cksum.c crc.c print.c sum1.c sum2.c crc32.c
LINKS=	${BINDIR}/cksum ${BINDIR}/sum
MLINKS=	cksum.1 sum.1

.include <bsd.prog.mk>

=== src/usr.bin/elfdump/Makefile ===
# $FreeBSD$

PROG=	elfdump

.include <bsd.prog.mk>

=== src/usr.bin/file2c/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

PROG=	file2c

.if ${MK_TESTS} != "no"
SUBDIR+= tests
.endif

.include <bsd.prog.mk>

=== src/usr.bin/lex/Makefile ===
# $FreeBSD$
#
# By default, flex will be configured to generate 8-bit scanners only if the
# -8 flag is given.  If you want it to always generate 8-bit scanners, add
# "-DDEFAULT_CSIZE=256" to CFLAGS.  Note that doing so will double the size
# of all uncompressed scanners.
#
# Bootstrapping of lex is handled automatically.
# Also note that flex.skel no longer gets installed.
#

PROG=		lex
LINKS+=	${BINDIR}/lex ${BINDIR}/lex++
LINKS+=	${BINDIR}/lex ${BINDIR}/flex
LINKS+=	${BINDIR}/lex ${BINDIR}/flex++

FLEXDIR=	${.CURDIR}/../../contrib/flex

.PATH:		${FLEXDIR}

SRCS=		buf.c ccl.c dfa.c ecs.c filter.c gen.c main.c misc.c \
		nfa.c options.c parse.y regex.c scan.c scanflags.c \
		scanopt.c skel.c sym.c tables.c tables_shared.c \
		tblcmp.c yylex.c
LFLAGS+=	-is
CFLAGS+=	-I. -I${.CURDIR} -I${FLEXDIR} -DHAVE_CONFIG_H
INCS=		FlexLexer.h
INCSDIR=	${INCLUDEDIR}
MLINKS+=	lex.1 flex.1
MLINKS+=	lex.1 flex++.1
MLINKS+=	lex.1 lex++.1

WARNS?=		3

CLEANFILES=	scan.c skel.c
GENFILES=	parse.c parse.h scan.c skel.c

SUBDIR=		lib

FLEX_VERSION=	`awk -f ${.CURDIR}/version.awk ${.CURDIR}/config.h`

skel.c: config.h mkskel.sh flex.skl version.awk
	sed 's/m4_/m4postproc_/g; s/m4preproc_/m4_/g' \
	    ${FLEXDIR}/flex.skl | \
	m4 -I${FLEXDIR} -P ${FLEX_VERSION} | \
	sed 's/m4postproc_/m4_/g' | \
	sh ${FLEXDIR}/mkskel.sh > ${.TARGET}

bootstrap: ${GENFILES:S/^/init/g}
.for _f in ${GENFILES}
	@diff -I '^#line ' -I '\$$FreeBS[D]: .*\$$' -q \
	    ${.CURDIR}/init${_f} ${_f} 2> /dev/null || { \
		echo "Bootstrapping ${_f}" ; \
		cp -f ${.CURDIR}/init${_f} ${_f} ; \
	}
.endfor

test: check
check: ${PROG}
	./${PROG} ${LFLAGS} -t ${COMPRESSION} ${FLEXDIR}/scan.l | \
	diff -I '^#line ' -I '\$$FreeBS[D]: .*\$$' ${.CURDIR}/initscan.c -
	@echo "Check successful"

.include <bsd.prog.mk>

=== src/usr.bin/make/Makefile ===
#	@(#)Makefile	5.2 (Berkeley) 12/28/90
#	$Id: Makefile,v 1.6 1994/06/30 05:33:39 cgd Exp $
# $FreeBSD$

.include <bsd.own.mk>

PROG=	make
CFLAGS+=-I${.CURDIR}
SRCS=	arch.c buf.c cond.c dir.c for.c hash.c hash_tables.c job.c	\
	lst.c main.c make.c parse.c proc.c shell.c str.c suff.c targ.c	\
	util.c var.c

.if !defined(MK_SHARED_TOOLCHAIN) || ${MK_SHARED_TOOLCHAIN} == "no"
NO_SHARED?=	YES
.endif

# Version has the RYYYYMMDDX format, where R is from RELENG_<R>
CFLAGS+=-DMAKE_VERSION=\"10201205300\"

# There is no obvious performance improvement currently.
# CFLAGS+=-DUSE_KQUEUE

# Make object files which depend on preprocessor symbols defined in
# the Makefile which are not compilation options but rather configuration
# options dependend on the Makefile. main.c needs MAKE_VERSION while
# shell.c uses DEFSHELLNAME. This will cause recompilation in the case
# the definition is changed in the makefile. It will of course not cause
# recompilation if one does 'make MAKE_SHELL=csh'.
main.o shell.o: ${MAKEFILE}

# Directive and keyword tables. We use hash tables. These hash tables have been
# generated with mph (ports/devel/mph)
# If you change the directives or keywords (adding, deleting, reordering) you
# need to create new tables and hash functions (directive_hash, keyword_hash).
#
# The following changes have been made to the generated code:
#
#	o prefix the names of the g, T0 and T1 arrays with 'directive_'
#	  resp. 'keyword_'.
#
#	o make the type of the tables 'const [un]signed char' (if you change
#	  anything make sure that the numbers fit into a char).
#
#	o make the hash function use the length for termination,
#	  not the trailing '\0', via the -l flag in emitc and some editing
#	  (only for directive_hash).

LOCALBASE ?= /usr/local
MPH	?= ${LOCALBASE}/bin/mph
EMITC	?= ${LOCALBASE}/bin/emitc

.PRECIOUS: hash

hash:
	( echo '/*' ;							\
	  echo ' * DO NOT EDIT' ;					\
	  echo ' * $$''FreeBSD$$' ;					\
	  echo -n ' * auto-generated from ' ;				\
	  sed -nEe '/\$$FreeBSD/s/^.*\$$(.*)\$$.*$$/\1/p'		\
		${.CURDIR}/parse.c ;					\
	  echo ' * DO NOT EDIT' ;					\
	  echo ' */' ;							\
	  echo '#include <sys/types.h>' ;				\
	  echo ;							\
	  echo '#include "hash_tables.h"' ;				\
	  echo ;							\
	  cat ${.CURDIR}/parse.c | sed					\
	    -e '1,/DIRECTIVES-START-TAG/d'				\
	    -e '/DIRECTIVES-END-TAG/,$$d'				\
	    -e 's/^[^"]*"\([^"]*\)".*$$/\1/' |				\
	    ${MPH} -d2 -m1 | ${EMITC} -l -s |				\
	    sed								\
	    -e 's/^static int g\[\]/static const signed char directive_g[]/' \
	    -e 's/^static int T0\[\]/static const u_char directive_T0[]/' \
	    -e 's/^static int T1\[\]/static const u_char directive_T1[]/' \
	    -e '/^#define uchar unsigned char/d'			\
	    -e 's/uchar/u_char/g'					\
	    -e 's/^hash(/directive_hash(/'				\
	    -e 's/; \*kp;/; kp < key + len;/'				\
	    -e 's/int len)/size_t len)/'				\
	    -e 's/= T0\[/= directive_T0\[/'				\
	    -e 's/= T1\[/= directive_T1\[/'				\
	    -e 's/g\[f/directive_g[f/g' ;				\
	  cat ${.CURDIR}/parse.c | sed					\
	    -e '1,/KEYWORD-START-TAG/d'					\
	    -e '/KEYWORD-END-TAG/,$$d'					\
	    -e 's/^[^"]*"\([^"]*\)".*$$/\1/' |				\
	    ${MPH} -d2 -m1 | ${EMITC} -l -s |				\
	    sed								\
	    -e 's/^static int g\[\]/static const signed char keyword_g[]/' \
	    -e 's/^static int T0\[\]/static const u_char keyword_T0[]/' \
	    -e 's/^static int T1\[\]/static const u_char keyword_T1[]/' \
	    -e '/^#define uchar unsigned char/d'			\
	    -e 's/uchar/u_char/g'					\
	    -e 's/^hash(/keyword_hash(/'				\
	    -e 's/int len)/size_t len)/'				\
	    -e 's/= T0\[/= keyword_T0\[/'				\
	    -e 's/= T1\[/= keyword_T1\[/'				\
	    -e 's/g\[f/keyword_g[f/g'					\
	) > ${.CURDIR}/hash_tables.c

# Set the shell which make(1) uses.  Bourne is the default, but a decent
# Korn shell works fine, and much faster.  Using the C shell for this
# will almost certainly break everything, but it's Unix tradition to
# allow you to shoot yourself in the foot if you want to :-)

MAKE_SHELL?=	sh
.if ${MAKE_SHELL} == "csh" || ${MAKE_SHELL} == "sh" || ${MAKE_SHELL} == "ksh"
CFLAGS+=	-DDEFSHELLNAME=\"${MAKE_SHELL}\"
.else
.error "MAKE_SHELL must be set to one of \"csh\", \"sh\" or \"ksh\"."
.endif

.if defined(MK_BMAKE) && ${MK_BMAKE} != "no"
# if we are here we don't want this called 'make'
PROG=	fmake
fmake.1: make.1
	cp ${.ALLSRC} ${.TARGET}
.endif

.include <bsd.prog.mk>

=== src/usr.sbin/btxld/Makefile ===
# $FreeBSD$

PROG=	btxld
MAN=	btxld.8
SRCS=	btxld.c elfh.c

.include <bsd.prog.mk>

=== src/usr.sbin/config/Makefile ===
# 	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD$

PROG=	config
MAN=	config.5 config.8
SRCS=	config.y main.c lang.l mkmakefile.c mkheaders.c \
	mkoptions.c y.tab.h kernconf.c

kernconf.c: kernconf.tmpl
	file2c 'char kernconfstr[] = {' ',0};' < ${.CURDIR}/kernconf.tmpl > kernconf.c

CFLAGS+= -I. -I${.CURDIR}

NO_WMISSING_VARIABLE_DECLARATIONS=

DPADD=	${LIBL} ${LIBSBUF}
LDADD=	-ll -lsbuf

CLEANFILES+=	kernconf.c

mkmakefile.o: configvers.h

.include <bsd.prog.mk>

=== src/usr.sbin/kldxref/Makefile ===
# $FreeBSD$

PROG=	kldxref
MAN=	kldxref.8
SRCS=	kldxref.c ef.c ef_obj.c

WARNS?=	2
CFLAGS+=-fno-strict-aliasing

.if exists(ef_${MACHINE_CPUARCH}.c) && ${MACHINE_ARCH} != "powerpc64"
SRCS+=	ef_${MACHINE_CPUARCH}.c
.else
SRCS+=	ef_nop.c
.endif

.include <bsd.prog.mk>

=== src/usr.sbin/mtree/Makefile ===
#	From: @(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD$

.include <bsd.own.mk>

.PATH: ${.CURDIR}/../../usr.bin/cksum

PROG=	fmtree
MAN=	fmtree.8 mtree.5
SRCS=	compare.c crc.c create.c excludes.c misc.c mtree.c spec.c verify.c
SRCS+=	specspec.c

CFLAGS+= -DMD5 -DSHA1 -DRMD160 -DSHA256
DPADD=	${LIBMD}
LDADD=	-lmd

.if ${MK_NMTREE} == "no"
LINKS=	${BINDIR}/fmtree ${BINDIR}/mtree
MLINKS=	fmtree.8 mtree.8
.endif

CLEANFILES+=	fmtree.8

fmtree.8: mtree.8
	cp ${.ALLSRC} ${.TARGET}

.include <bsd.prog.mk>

=== src/usr.bin/file2c/tests/Makefile ===
# $FreeBSD$

TESTSDIR=	${TESTSBASE}/usr.bin/file2c

TAP_TESTS_SH=	legacy_test

FILESDIR=	${TESTSDIR}
FILES=		regress.1.out
FILES+=		regress.2.out
FILES+=		regress.3.out
FILES+=		regress.4.out
FILES+=		regress.5.out
FILES+=		regress.6.out
FILES+=		regress.7.out
FILES+=		regress.8.out
FILES+=		regress.9.out
FILES+=		regress.in
FILES+=		regress.sh

.include <bsd.test.mk>

=== debian/changelog ===
freebsd-buildutils (10.3~svn296373-7) unstable; urgency=medium

  * Build fmtree with support for MD5, SHA1, RMD160, SHA256 checksums
    (Closes: #854184, #855072)
    - add Build-Depends: libmd-dev
    - refresh 22_ld_as_needed.diff
  * Merge patch from Ubuntu: prototype-setmode.diff (Logan Rosen)

 -- Steven Chamberlain <stevenc@debian.org>  Mon, 13 Feb 2017 21:45:25 +0000

freebsd-buildutils (10.3~svn296373-6) unstable; urgency=medium

  * Declare Conflicts: flex-old due to freebsd-buildutils shipping a
    libfl.a for freebsd-lex (Closes: #846578)
  * Make explicit Build-Depends on libfl-dev when using newer flex
    (Thanks, Helmut Grohne!) (Closes: #846427, #848736)

 -- Steven Chamberlain <stevenc@debian.org>  Sun, 08 Jan 2017 22:00:58 +0000

freebsd-buildutils (10.3~svn296373-5) unstable; urgency=medium

  * Fix typo in debian/rules causing FTBFS on arm* architectures

 -- Steven Chamberlain <stevenc@debian.org>  Tue, 29 Nov 2016 17:00:33 +0000

freebsd-buildutils (10.3~svn296373-4) unstable; urgency=medium

  * Add Build-Depends: dpkg-dev (>= 1.16.1.1) and use buildflags.mk
    to set CFLAGS, respecting DEB_BUILD_OPTIONS flags such as noopt
  * Enable hardening=+all, which includes PIE, relro and stack protector
  * Use architecture.mk instead of individual calls to dpkg-architecture
  * Create a new MACHINE_ARCH armv6hf for linux armhf and kfreebsd-armhf
    (Closes: #845105)

 -- Steven Chamberlain <stevenc@debian.org>  Tue, 29 Nov 2016 15:30:28 +0000

freebsd-buildutils (10.3~svn296373-3) unstable; urgency=medium

  * Update my email address in Uploaders
  * Make `ar` command lines visible in the build log
  * Adding missing required build-arch, build-indep targets
  * Now using Standards-Version 3.9.8
  * Now using debhelper compat v9
  * Add missing ${misc:Depends} to freebsd-mk (to satisfy lintian;
    although it evaluates to an empty list currently)

 -- Steven Chamberlain <stevenc@debian.org>  Tue, 19 Jul 2016 09:08:38 +0100

freebsd-buildutils (10.3~svn296373-2) unstable; urgency=medium

  * Upload to unstable
  * Use new preferred hostname for upstream SVN with HTTPS
    (svn.freebsd.org).

 -- Steven Chamberlain <steven@pyro.eu.org>  Mon, 04 Apr 2016 12:34:17 +0100

freebsd-buildutils (10.3~svn296373-1) experimental; urgency=medium

  * New upstream snapshot of 10.3-RC1
  * Mark freebsd-mk as Multi-Arch: foreign (thanks, Helmut Grohne!)
  * Actually use the proper build architecture compiler
  * Map Debian's kfreebsd-armhf to FreeBSD's armv6 MACHINE_ARCH
  * Add *.test.mk files to freebsd-mk, allowing reverse-dependencies to
    use WITH_TESTS=yes
  * Use relative path in manpage symlinks
      - man_symlinks.diff

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 05 Mar 2016 00:27:01 +0000

freebsd-buildutils (10.3~svn295289-1) experimental; urgency=medium

  * New upstream snapshot of 10.3-BETA1
  * Make get-orig-source tarball reproducible
  * Refresh patches:
    - mk_eisa.diff
    - yacc_is_byacc.diff
    - 15_manpages_gzip.diff
    - avoid_defsyspath_collision.diff
    - hppa.diff

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 06 Feb 2016 22:50:09 +0000

freebsd-buildutils (10.2-2) experimental; urgency=medium

  * arch=all autobuilding doesn't seem to work for this yet

 -- Christoph Egger <christoph@debian.org>  Wed, 21 Oct 2015 14:28:20 +0200

freebsd-buildutils (10.2-1) experimental; urgency=medium

  * Update to 10.2 source
  * refresh patches
    * drop mk_ncp.diff -- was a workaround for kfreebsd-9
    * drop mk_hyperv.diff and mk_tests.diff now upstream
  * Compress orig-source with xz

 -- Christoph Egger <christoph@debian.org>  Wed, 21 Oct 2015 12:10:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: freebsd-buildutils
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
+Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
 Uploaders:
  Aurelien Jarno <aurel32@debian.org>,
  Robert Millan <rmh@debian.org>,
- Steven Chamberlain <steven@pyro.eu.org>
-Build-Depends: debhelper (>= 7), flex | flex-old, bison,
+ Steven Chamberlain <stevenc@debian.org>,
+Build-Depends: debhelper (>= 9),
+ flex | flex-old,
+ libfl-dev | flex-old,
+ bison,
+ dpkg-dev (>= 1.16.1.1),
  libbsd-dev (>= 0.3.0),
+ libmd-dev,
  freebsd-glue (>= 0.2.20),
  bmake,
  byacc (>= 20120115~),
@@ -16,7 +20,7 @@
  libsbuf-dev,
 Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/freebsd-buildutils/
 Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/freebsd-buildutils/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.8
 
 Package: freebsd-buildutils
 Architecture: any
@@ -27,7 +31,7 @@
 # Not strictly required anymore. But let's drag it in for now, to avoid breaking
 # expectations.
  freebsd-mk,
-Conflicts: freebsd5-buildutils, freebsd6-buildutils
+Conflicts: freebsd5-buildutils, freebsd6-buildutils, flex-old
 Provides: freebsd6-buildutils, freebsd7-buildutils
 Description: Utilities for building FreeBSD sources
  This package contains the FreeBSD counterparts of some standard build
@@ -38,6 +42,7 @@
 
 Package: freebsd-mk
 Architecture: all
+Depends: ${misc:Depends}
 Multi-Arch: foreign
 Replaces: freebsd-buildutils (<< 10.0~svn259404-5~)
 Enhances: bmake

=== debian/rules ===
--- 
+++ 
@@ -4,30 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# These are used for cross-compiling and for saving the configure script
-# from having to guess our platform (since we know it already)
-DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_BUILD_GNU_CPU	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
-DEB_HOST_ARCH_CPU	:= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
-DEB_HOST_MULTIARCH	:= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-
-ifeq ($(DEB_HOST_ARCH_CPU), mipsel)
-MACHINE_ARCH		:= mips
-else
-MACHINE_ARCH		:= $(DEB_HOST_ARCH_CPU)
-endif
-
-ifeq ($(DEB_HOST_MULTIARCH), mipsel)
-MACHINE_MULTIARCH	:= mips
-else
-MACHINE_MULTIARCH	:= $(DEB_HOST_MULTIARCH)
-endif
-
-ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
-    export STRIPFLAG=
-endif
 
 full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
 tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
@@ -37,35 +13,78 @@
 major           := $(shell echo $(version) | sed -e 's/\..*//g')
 revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')
 
-SVN		:= https://svn0.us-west.freebsd.org/base/release/$(version).0
-#SVN		:= https://svn0.us-west.freebsd.org/base/releng/$(version)
-#SVN		:= https://svn0.us-west.freebsd.org/base/stable/$(major)
-#SVN		:= https://svn0.us-west.freebsd.org/base/head
+include /usr/share/dpkg/architecture.mk
+
+# Determine host architecture compiler
+ifeq ($(origin CC),default)
+CC := $(DEB_HOST_GNU_TYPE)-gcc
+endif
+
+# Use hardening flags
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# Pre-define CFLAGS, for hardening, debug and optimisation level
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+MACHINE_ARCH		:= $(DEB_HOST_ARCH_CPU)
+MACHINE_MULTIARCH	:= $(DEB_HOST_MULTIARCH)
+
+ifeq ($(DEB_HOST_ARCH_CPU), arm)
+ifneq (,$(findstring armhf,$(DEB_HOST_ARCH)))
+MACHINE_ARCH		:= armv6hf
+else
+MACHINE_ARCH		:= armv6
+endif
+endif
+
+ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
+    export STRIPFLAG=
+endif
+
+EXTRA_CFLAGS = \
+	-D_GNU_SOURCE -pipe -Wall \
+        -DMACHINE_ARCH='\"$(MACHINE_ARCH)\"' \
+        -DMACHINE_MULTIARCH='\"$(MACHINE_MULTIARCH)\"' \
+        -I$(CURDIR)/build-tree/src/sys \
+	-isystem /usr/include/freebsd \
+	-fPIC \
+	$(CPPFLAGS) \
+	$(NULL)
+# disabled due to #630907 (see also 20_libbsd_overlay.diff)
+# $(shell pkg-config --cflags libbsd-overlay)
+CFLAGS	+= $(EXTRA_CFLAGS)
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+
+	# Do not mess with MAKEFLAGS until we transfer control to BSD make (see below)
+	BSD_MAKEFLAGS += -j$(NUMJOBS)
+endif
+
+SVN_BASE	:= https://svn.freebsd.org/base
+#SVN		:= $(SVN_BASE)/release/$(version).0
+SVN		:= $(SVN_BASE)/releng/$(version)
+#SVN		:= $(SVN_BASE)/stable/$(major)
+#SVN		:= $(SVN_BASE)/head
 
 SOURCE = freebsd-buildutils
 ORIGDIR = $(SOURCE)-$(tar_version)
-TARNAME = $(SOURCE)_$(tar_version).orig.tar.gz
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-
-	# Do not mess with MAKEFLAGS until we transfer control to BSD make (see below)
-	BSD_MAKEFLAGS += -j$(NUMJOBS)
-endif
-
-export CFLAGS = -O2 -g -Wall -D_GNU_SOURCE \
-         -DMACHINE_ARCH='"$(MACHINE_ARCH)"' \
-         -DMACHINE_MULTIARCH='"$(MACHINE_MULTIARCH)"' \
-         -I$(CURDIR)/build-tree/src/sys \
-	-D_GNU_SOURCE=1 -isystem /usr/include/freebsd
-# disabled due to #630907 (see also 20_libbsd_overlay.diff)
-# $(shell pkg-config --cflags libbsd-overlay)
-MAKE_BUILD_FLAGS = CC=gcc NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO NO_SHARED=NO
-
-PMAKE_FLAGS = -m $(CURDIR)/src/share/mk
+TARNAME = $(SOURCE)_$(tar_version).orig.tar.xz
+SOURCE_DATE_EPOCH ?= $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
+
+PMAKE_COMMON = \
+	MAKEFLAGS=$(BSD_MAKEFLAGS) \
+	NO_WERROR=1 NOGCCERROR=1 \
+	NOSHARED=NO NO_SHARED=NO NO_PROFILE=1 \
+	bmake \
+	CC=$(CC) \
+	-m $(CURDIR)/src/share/mk \
+	$(NULL)
 PMAKE = \
-	MAKEFLAGS=$(BSD_MAKEFLAGS) \
-	bmake $(PMAKE_FLAGS)
+	CFLAGS="$(CFLAGS)" \
+	$(PMAKE_COMMON)
+
 YACC = byacc
 
 package = $(SOURCE)
@@ -90,9 +109,18 @@
 		usr.sbin/mtree \
 		sys/dev/aic7xxx/aicasm \
 	; do \
-		svn export --ignore-keywords -r $(svn_revision) $(SVN)/$$i $(ORIGDIR)/src/$$i ; \
-	done
-	tar --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
+		svn export --ignore-keywords -r $(svn_revision) $(SVN)/$$i $(ORIGDIR)/src/$$i || exit ; \
+	done
+	# Clamp timestamps to be no newer than last changelog entry, see
+	# https://wiki.debian.org/ReproducibleBuilds/TimestampsInTarball
+	find $(ORIGDIR) -newermt "@$(SOURCE_DATE_EPOCH)" -print0 \
+	 | xargs -0r touch --no-dereference --date="@$(SOURCE_DATE_EPOCH)"
+	# Create tarball with files sorted in a stable order, see
+	# https://wiki.debian.org/ReproducibleBuilds/FileOrderInTarballs
+	find $(ORIGDIR) -print0 | LC_ALL=C sort -z \
+	 | tar --null --no-recursion --files-from - \
+	    --numeric-owner --owner 0 --group 0 \
+	    -cJf ../$(TARNAME)
 	rm -rf $(ORIGDIR)
 
 unpack: unpack-stamp
@@ -102,30 +130,33 @@
 
 	touch unpack-stamp
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+
 build-stamp: unpack-stamp
 	dh_testdir
 
-	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/make
-
-	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/cksum
+	$(PMAKE) -C build-tree/src/usr.bin/make
+
+	$(PMAKE) -C build-tree/src/usr.bin/cksum
 
 	cd build-tree/src/usr.bin/lex ; \
 		$(PMAKE) bootstrap ; \
-		$(PMAKE) $(MAKE_BUILD_FLAGS) NO_PROFILE=1 NO_INSTALLLIB=1
-
-	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/mkdep
-	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.sbin/mtree
-	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/file2c
-	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/brandelf
-	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/sys/dev/aic7xxx/aicasm
+		$(PMAKE) NO_INSTALLLIB=1
+
+	$(PMAKE) -C build-tree/src/usr.bin/mkdep
+	$(PMAKE) -C build-tree/src/usr.sbin/mtree
+	$(PMAKE) -C build-tree/src/usr.bin/file2c
+	$(PMAKE) -C build-tree/src/usr.bin/brandelf
+	$(PMAKE) -C build-tree/src/sys/dev/aic7xxx/aicasm
 ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
 	# Not portable yet. Maybe someday...
-	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.sbin/kldxref
+	$(PMAKE) -C build-tree/src/usr.sbin/kldxref
 endif
 
 	PATH=$(CURDIR)/build-tree/src/usr.bin/file2c:$(PATH) \
-		$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.sbin/config
+		$(PMAKE) -C build-tree/src/usr.sbin/config
 
 	touch build-stamp
 
@@ -147,7 +178,8 @@
 		DESTDIR=$(CURDIR)/debian/$(package) BINDIR=/usr/lib/freebsd ; \
 	done
 	$(PMAKE) -C build-tree/src/share/mk install \
-		DESTDIR=$(CURDIR)/debian/freebsd-mk BINDIR=/usr/share
+		DESTDIR=$(CURDIR)/debian/freebsd-mk BINDIR=/usr/share \
+		WITH_TESTS=yes
 
 	$(PMAKE) -C build-tree/src/sys/dev/aic7xxx/aicasm install \
 		DESTDIR=$(CURDIR)/debian/$(package) BINDIR=/usr/bin
